<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" 
"http://www.w3.org/TR/html4/loose.dtd">
<html>
    <head>
        <meta name="generator" content="WebObjects 5.3.1">
        <title>Aide_Promotion_ES</title>
</head>
<body>
<CENTER><font face="Times, Serif"><b>Modules d'impression</b></font></CENTER>
<font face="Times, Serif"><br>
Les modules d'impression sont des fichiers Jasper situ&eacute;s dans le r&eacute;pertoire des modules d'impression. Ils permettent d'&eacute;tendre les
fonctionnalit&eacute;s de Mangue, conform&eacute;ment aux besoins de l'&eacute;tablissement.<BR>
Un module d'impression contient une requ&ecirc;te SQL pour rechercher les donn&eacute;es utiles &agrave; l'impression. 
L'administrateur d&eacute;finit les param&egrave;tres fournis au module d'impression et leur type.<BR>
L'utilisateur peut par la suite activer le module d'impression (Outil->Editions->Divers), il fournit les valeurs qu'attend le module d'impression.<BR><BR>
<B>Param&egrave;tres standards fournis aux modules d'impression</B><BR>
En plus des param&egrave;tres d&eacute;finis par l'administrateur, Mangue fournit les param&egrave;tres suivants :<BR>
&eacute;tablissement (ETABLISSEMENT), ville (VILLE), rne (RNE), acad&eacute;mie (ACADEMIE), adresse de l'&eacute;tablissement (ADRESSE),
nom du pr&eacute;sident (GRHUM_PRESIDENT), signature du pr&eacute;sident (SIGNATURE_PRESIDENT) et le service (SERVICE), libell&eacute; de l'&eacute;tablissement (GRHUM_ETAB). 
Les noms en majuscules sont les noms des param&egrave;tres. Ces param&egrave;tres sont extraits de la table GRHUM_PARAMETRES
</font><BR><br>
<CENTER><font face="Times, Serif"><b>Mod&egrave;les d'impression pour Contrats</b></font></CENTER>
<font face="Times, Serif"><br>
Les mod&egrave;les d'impression pour les contrats de travail sont des modules d'impression associ&eacute;s aux types de contrat de travail.
Les param&egrave;tres fournis aux mod&egrave;les d'impression ne sont pas param&eacute;trables, ils sont fournis par Mangue lors
de l'impression d'un contrat de travail. En l'absence de mod&egrave;le d'impression, seuls les contrats "Budget Etat" peuvent &ecirc;tre imprim&eacute;s si l'agent
a une occupation : le m&eacute;canisme par d&eacute;faut imprime des contrats diff&eacute;rents pour les emplois vacants et les rompus de temps partiel.<BR><BR>
<B>Param&egrave;tres fournis</B><BR>
Pour tous les types de contrat de travail, les informations suivantes sont fournies : <BR>
num&eacute;ro de l'individu (NO_INDIVIDU), num&eacute;ro d'arr&ecirc;t&eacute; (NO_ARRETE), ligne budg&eacute;taire (LIGNE_BUD),
liste des destinataires ainsi que les param&egrave;tres standards des modules d'impression : &eacute;tablissement (ETABLISSEMENT), ville  (VILLE)...<BR>
Pour les d&eacute;tails de contrat, sont fournis en plus :<BR>
le num&eacute;ro du d&eacute;tail de contrat concern&eacute; (CTRA_ORDRE), l'indice brut du d&eacute;tail de contrat (INDICE_BRUT), le programme emploi (PROGRAMME_EMPLOI),
le num&eacute;ro d'emploi d&eacute;fini dans l'occupation associ&eacute;e &agrave; cet emploi (NUMERO_EMPLOI) et le lieu d'affectation de l'individu (LIEU_AFFECTATION).<BR> 
Pour les vacations, est fourni en plus : <BR>
le num&eacute;ro de la vacation concern&eacute;e (CTRA_ORDRE).<BR><BR>
Ces mod&egrave;les peuvent &ecirc;tre aussi utilis&eacute;s depuis les modules d'impression (Outil->Editions->Divers), &agrave; condition de fournir au moins 
le num&eacute;ro de l'individu (NO_INDIVIDU) et le num&eacute;ro de d&eacute;tail concern&eacute; (CTRA_ORDRE) et &agrave; condition que les destinataires ne soient pas ajout&eacute;s dans le document imprim&eacute; 
(voir la documentation ModelesContratsPourImpression et les exemples Contrat_Biatoss.jrxml et Contrat_Biatoss_Sans_Destinataire.jrxml dans le r&eacute;pertoire des modules d'impression).
</font>
</body>
</html>
